\pc Custom Help \ Glossary

  
Ancestor Files:
\l9	All files containing Ancestor Pages.
\l
Ancestor Page:
\l9	Any page in the direct line of Parent Pages from a\
			specific page back to the system Base Page.
\l
Auxiliary Files:
\l9	The files containing the information necessary for the program\
to run. These are the CH.cmd File and CH.prefs File. In addition the\
optional file, CH.menu, contains the DW menu configuration. All of\
these files must reside in the CH Directory.
\l
Base Files:
\l9	The Data Files that are read in when the CH program is invoked.\
These files contain the entry points in the CH page system. Each file\
should contain at least one child page of the Base Group. This may\
be either a Menu Page or an External Page. CH searches the\
CH Directory for files matching the pattern "Base.#?" to find the\
Base Files and build the Base Page. The Base Files remain\
in memory the entire time that CH is active therefore you should try to\
keep them small to conserve memory while containing all the information\
you wish to be readily available. Pages in other files will have to be\
loaded from disk by CH before being displayed.
\rStarting/Startup Options
\l
Base Group:
\l9	The Base Page (Parent Page of the group) and it's Child Page's.
\l
Base Page:
\l9	The page that is built when CH is started, using the names of the\
child pages of group "Base" found in the Base Files.\
When the DW is opened for the first time the Base Page will be displayed.
\rFiles/General Data File Info
\l
Command:
\l9	A CH Command consists of an alpha-numeric character or characters\
used to initiate a Instruction.\
Each Command initiates a specific Instruction.\
These Commands are configurable by the user and may be from one to\
twenty characters long. While viewing the DW press the HELP key for\
a complete list of Commands and the Instructions they execute.
\l
Command Read Mode:
\l9	This is the mode used for reading Command input. It is entered\
when the user enters the first character of a Command. During Command\
Read Mode the DW title bar displays the message "Command Read:    Press\
ESCAPE to abort" and the message area of the DW contains the entered\
characters and a list of "Possible:" Commands. Use BACKSPACE to edit\
the entered value. ESCAPE exits from Command Read Mode immediately,\
without executing the Instruction. The associated Instruction is\
executed when the entire Command is entered or the RETURN key is pressed,\
if there is only one "Possible:" Command at that time.
\l
CH:
\l9	Custom Help.
\l
CH Directory:
\l9	The directory where the data and auxiliary files reside. The\
CH Directory may be set in several ways. First, if a DIRECTORY or -D\
Startup Option is used that will become the CH Directory. Next, if\
a Startup Option is not used the directory "Assigned" the name "CHData:"\
is it. Last, if neither of the first two methods are used the current\
directory is the default CH Directory. If started from a CLI or\
shell program, this is the CLI current directory. If started from WorkBench\
the current directory is the one where the CH program resides. This\
directory must contain the Base Files and the Auxiliary Files.
\l
Child Page:
\l9	This is a way of refering to a page as it relates to the Parent Page\
of a group. The Child Pages are one level down from the Parent Page.
\l
Data File:
\l9	A CH Data File is any file that has been formatted for use by the\
CH program. It must contain as least one Page Specification. Word Wrap,\
Paragraph Indent, Related Item and Style Special Characters are all\
optional.
\l
Descendant Page:
\l9	This includes all of the pages of a Menu Page, down through it\
Child Pages, and their Child Pages, and so on.
\l
Display Window (DW):
\l9	This is the window that CH uses to display the data found in the\
Data Files. It will appear on the current screen when the Hot Key\
combination is pressed. see Using the Program/Gadgets and Areas for\
details.
\rUsing/Gadgets and Areas
\l
History:
\l9	The History contains a list of the last ten pages accessed in\
chronological order. Use the Last History Page Instruction to display\
the history in reverse chronological order. While viewing the History\
you may use the Next History Page Instruction to scan foreward through\
the list.
\rUsing/History Buffer
\l
Hot Key:
\l9	The key combination required to open the DW.\
The Hot Key and Qualifier are taken from the CH.prefs File when the\
program is started. Startup Options allow you to override the values\
found there.
\l
Instruction:
\l9	A CH Instruction is the actual operation that CH performs.\
A distinction must be made between an Instruction and a Command.\
The Command being the key or keys necessary to initiate an Instruction.
\l
Mark:
\l9	The mark is used to save a location that you might want to refer back\
to. Once you have marked a location to return to it you just enter the\
function key you have assigned to it or click on the Mark Gadget.
\rUsing/Marks
\l
Menu Page:
\l9	See Parent Page.
\l
Page:
\l9	The block of text that is treated as a unit by the program. This\
can be any size, it is not limited by the size of the screen, and is\
scrollable in the DW.
\l					
Page Group:
\l9	A Page Group consists of one Parent(Menu) Page and a group of\
Child Pages. The Page Group is the basis of the CH hierarchal system.\
By defining the groups in your system you determine the access path to\
all of the pages in the system.
\l
Page Name:
\l9	The Page Name is used for search Instructions, Related Items and\
Automatic Menu Pages. In a CH Page it is given in the Page\
Specification.\
In a Text File it is the file name. When a CH Page is displayed the\
Page Name will be presented using the Page Name Style control characters.\
This allows the user to set his own indent, style and colors\
for the Page Name. See Using the Program/User Input Windows/Edit Display\
Values for details.
\rUsing/User/Edit Display Values
\l
Parent Page:
\l9	(Menu Page) This is the top page of a group. Access to any of the\
Child Pages in the group is possible directly from this page. The CH\
multi-level hierarchy of pages is accomplished by meaking a Child Page in\
one group a Parent Page of another group.
\l
Page Specification:
\l9	The special characters placed in the Data File to define\
the beginning of a page or in the case of an External Page the name of the\
file containing the actual page data.
\rFiles/Page Specifiers
\l
Related Items:
\l9	A page may have a group of Related Items associated with it. These\
provide the user with an easy way of moving from a page to any of it's\
related pages. When the Related Item Instruction is selected a window with\
a list of the current page's Related Items is presented to the user. He may\
select one of the items using the up and down arrow keys and the RETURN\
key. CH does an immediate jump to the selected item.
\rUsing/Related Items
\rFiles/Related Item Specifier
\l
Siblings:
\l9	All Child Pages within a group.
\l
Standby Mode:
\l9	The mode entered after the program loads but before the Hot Key\
combination is pressed. In Standby Mode the program runs as a background\
task with no output window. The program goes into Standby Mode after it\
is first started and when leaving the DW. To open the DW on the active\
screen from Standby Mode enter the Hot Key combination.
\l
Startup Options:
\l9	These are the Command line switches if CH is started from a CLI or\
the Tool Types array of the CH icon, if started from WorkBench.
\l
Text File:
\l9	This is any ASCII Text File that is not formatted for use by CustomHelp.\
Text Files are treated as a single page by the CH program. Files accessed as\
Text Files will be\
displayed exactly as they are without the CH display options\
(word wrap, paragraph indent, style conversions, etc.) There are two\
ways of accessing Text Files. 
\rUsing/Text Files
\l
\l	1. External Text Page Specification:
\l12	Any file loaded via this method will be accessed as a Text File,\
reguardless of the presence or absence of Page Specifications.
\l	2. From a Directory Menu Page:
\l12	Even if the file contains Page Specifications.
\l
Unused Files:
\l9	These are any memory resident files not necessary to re-display either\
the current page or any Marked pages. This includes any files containing\
Ancestor Pages of either the current page or any Marked pages.
\rUsing/Memory Management
\l
User Input Windows:
\l9	These are the windows that are opened by the program, on the DW's\
screen, to request information, post info messages and post serious error\
messages. 
\rUs/User Input Windows
\l
Word Wrap:
\l9	This mode causes CH to attempt to break lines of text being displayed\
at the closest word before the right hand side of the DW.
\rUs/Word Wrap

